Package io.dapr.v1

# Interface AppCallbackGrpc.AsyncService

All Known Implementing Classes:
  `AppCallbackGrpc.AppCallbackImplBase`

Enclosing class:
  AppCallbackGrpc

public static interface AppCallbackGrpc.AsyncService

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `listInputBindings(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)`
  Lists all input bindings subscribed by this app.
  `default void`
  `listTopicSubscriptions(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)`
  Lists all topics subscribed by this app.
  `default void`
  `onBindingEvent(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)`
  Listens events from the input bindings User application can save the states or send the events to the output bindings optionally by returning BindingEventResponse.
  `default void`
  `onBulkTopicEvent(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)`
  Subscribes bulk events from Pubsub
  `default void`
  `onInvoke(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)`
  Invokes service method with InvokeRequest.
  `default void`
  `onJobEvent(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)`
  Sends job back to the app's endpoint at trigger time.
  `default void`
  `onTopicEvent(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)`
  Subscribes events from Pubsub

- ## Method Details

  - ### onInvoke

    default void onInvoke(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

         Invokes service method with InvokeRequest.

  - ### listTopicSubscriptions

    default void listTopicSubscriptions(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)

         Lists all topics subscribed by this app.

  - ### onTopicEvent

    default void onTopicEvent(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)

         Subscribes events from Pubsub

  - ### listInputBindings

    default void listInputBindings(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)

         Lists all input bindings subscribed by this app.

  - ### onBindingEvent

    default void onBindingEvent(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)

         Listens events from the input bindings
         User application can save the states or send the events to the output
         bindings optionally by returning BindingEventResponse.

  - ### onBulkTopicEvent

    default void onBulkTopicEvent(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)

         Subscribes bulk events from Pubsub

  - ### onJobEvent

    default void onJobEvent(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)

         Sends job back to the app's endpoint at trigger time.